Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations
Class WebServiceAnnotation

    java.lang.Object
      org.codehaus.xfire.annotations.WebServiceAnnotation

Direct Known Subclasses:
  WebService

    public class WebServiceAnnotation

extends java.lang.Object

Represents an common representation of a web service annotation. Specifies that the given method is exposed as a Web Service operation, making it part of the Web ServiceÕs public contract. A WebMethod annotation is required for each method that is published by the Web Service.

Author:
  Arjen Poutsma

Constructor Summary
`WebServiceAnnotation()`

Method Summary
`java.lang.String` | `getEndpointInterface()` Returns the complete name of the service endpoint interface defining the serviceÕs abstract Web Service contract.
`java.lang.String` | `getName()` Returns the name of the Web Service.
`java.lang.String` | `getServiceName()` Returns the service name of the Web Service.
`java.lang.String` | `getTargetNamespace()` Returns the XML namespace used for the WSDL and XML elements generated from this Web Service.
`void` | `setEndpointInterface(java.lang.String endpointInterface)` Sets the complete name of the service endpoint interface defining the serviceÕs abstract Web Service contract.
`void` | `setName(java.lang.String name)` Sets the name of the Web Service.
`void` | `setServiceName(java.lang.String serviceName)` Sets the service name of the Web Service.
`void` | `setTargetNamespace(java.lang.String targetNamespace)` Sets the XML namespace used for the WSDL and XML elements generated from this Web Service.
`java.lang.String` | `toString()` Returns a String representation of this `WebServiceAnnotation` attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebServiceAnnotation

    public WebServiceAnnotation()

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the Web Service. Used as the name of the wsdl:portType when mapped to WSDL 1.1. Defaults to the simple name of the Java class or interface.

  Returns:
    the name of the Web Service.

### setName

    public void setName(java.lang.String name)

  Sets the name of the Web Service. Used as the name of the wsdl:portType when mapped to WSDL 1.1. Defaults to the simple name of the Java class or interface.

  Parameters:
    `name` - The new name of the Web Service.

### getEndpointInterface

    public java.lang.String getEndpointInterface()

  Returns the complete name of the service endpoint interface defining the serviceÕs abstract Web Service contract.

  Returns:
    the name of the service endpoint interface.

### setEndpointInterface

    public void setEndpointInterface(java.lang.String endpointInterface)

  Sets the complete name of the service endpoint interface defining the serviceÕs abstract Web Service contract.

  Parameters:
    `endpointInterface` - the new name of the service endpoint interface.

### getServiceName

    public java.lang.String getServiceName()

  Returns the service name of the Web Service. Used as the name of the wsdl:service when mapped to WSDL 1.1. Not allowed on interfaces. Defaults to the simple name of the Java class + ÒService".

  Returns:
    the service name of the Web Service.

### setServiceName

    public void setServiceName(java.lang.String serviceName)

  Sets the service name of the Web Service. Used as the name of the wsdl:service when mapped to WSDL 1.1. Not allowed on interfaces. Defaults to the simple name of the Java class + ÒService".

  Parameters:
    `serviceName` - the new service name of the Web Service.

### getTargetNamespace

    public java.lang.String getTargetNamespace()

  Returns the XML namespace used for the WSDL and XML elements generated from this Web Service.

  Returns:
    the XML namespace used.

### setTargetNamespace

    public void setTargetNamespace(java.lang.String targetNamespace)

  Sets the XML namespace used for the WSDL and XML elements generated from this Web Service.

  Parameters:
    `targetNamespace` - the new XML namespace used.

### toString

    public java.lang.String toString()

  Returns a String representation of this `WebServiceAnnotation` attribute.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.